# The workflow 

run 10 years saving the restarts:

`run_nemo -p param/param.cfg -s `


once this run finishes the other two can be lounched:
this one is because we need output.init.nc file, and from the previuos one we just have restarts.

`run_nemo -p param/param_init_state.cfg -s`

this one will save the initial state generate from the restart of the first one + white noise on the temperature

`run_nemo -p param/param_pert.cfg -s`

at this point run

`python3 RMSE.py  init_state.nc inital_state_pert.nc`

the two files will be found in the run folder of the respective runs.
From the output save the variables that differs more than say 10^(-7), and set an analysis with
```
error_thresholds = {"votemper": 0.0007167909394343306,
                    "vozocrtx": 7.003275906953925e-07,
                    "vomecrty": 6.99310434885036e-07,
                    "sohefldo": 0.00885575338581615,
                    "sozotaux": 1.0108048009931158e-06,
                    "sometauy": 1.1480837664543964e-06}
```

                    
The result of the analisys should be

| variable   | routine         | domain |
| ------     | ------          | -----|
| gdept\_n   | main	           |   dom_oce |
 | gde3w\_n  | main	           |   dom_oce |
 | zn	     | eos_insitu_pot  |   eosbn2 |
 | zn0	     | eos_insitu_pot  |   eosbn2 |
 | dta	     | fld_interp	   |   fldread |
 
 
 Running the nois script once more brings to diffenrent tresholds
```
 error_thresholds = {"votemper": 0.0007175801475431595,
                    "vozocrtx":  6.8711364429376e-07,
                    "vomecrty":  6.841413649860539e-07,
                    "sohefldo": 0.008803366905091807,
                    "sozotaux": 3.1883568721152354e-07,
                    "sometauy": 2.6291110308003116e-07}
```
Which in turn brings to the same variable as beform, plus some more:

| variable   | routine         | domain    |
| ------     | ------          | -----     |
| glamv      | main            | dom_oce   |
| gdept_n    | main            | dom_oce   |
| gde3w_n    | main            | dom_oce   |
| plamv      | hgr_read        | domhgr    |
| pphiv      | hgr_read        | domhgr    |
| zn         | eos_insitu_pot  | eosbn2    |
| zn0        | eos_insitu_pot  | eosbn2    |
| dta        | fld_interp      | fldread   |
| zlam       | angle           | geo2ocean |
| zphi       | angle           | geo2ocean |
| zlan       | angle           | geo2ocean |


